// Header_MFC_DRIVER_DL.h
#ifndef HEADER_00667888_000000_KONF_SW_MFC_DRIVER_DLL_H
#define HEADER_00667888_000000_KONF_SW_MFC_DRIVER_DLL_H

///////////////////////////////////////////////////////////////////////////////
//	definitions:
///////////////////////////////////////////////////////////////////////////////
#define PREFIX extern "C" __declspec(dllimport)
#define CALL_CONVENTION _stdcall


//	----------------------------------------------------------------------------
/* used datatypes:
	BYTE			unsigned 8 bit			0...255
	__int32		signed 32 bit			2,147,483,648 to 2,147,483,647
	FLOAT			4 byte float			3.4E +/- 38 (7 digits)

	BYTE &		reference to BYTE
	__int32 &	reference to __int32
	FLOAT &		reference to FLOAT
*/
//	----------------------------------------------------------------------------
/* functions retun value:
//////////////////////////////////////////////////////////////////////////
// error messages
//////////////////////////////////////////////////////////////////////////
0			kERROR_NoError			

0x01		kERROR_CMD_undefined										
0x02		kERROR_CMD_invalide_selection							
0x03		kERROR_CMD_parameter_too_large						
0x04		kERROR_CMD_parameter_too_small						
0x05		kERROR_CMD_too_few_data_bytes_received				
0x06		kERROR_CMD_transmitter_specific_cmd_error			
0x07		kERROR_CMD_write_protected								
0x08		kERROR_CMD_cmd_specific_error_8						
0x09		kERROR_CMD_cmd_specific_error_9						
0x0A		kERROR_CMD_cmd_specific_error_10						
0x0B		kERROR_CMD_cmd_specific_error_11						
0x0C		kERROR_CMD_cmd_specific_error_12						
0x0D		kERROR_CMD_cmd_specific_error_13						
0x0E		kERROR_CMD_cmd_specific_error_14						
0x0F		kERROR_CMD_cmd_specific_error_15						
0x10		kERROR_CMD_acess_restricted							
0x20		kERROR_CMD_device_busy									
0x40		kERROR_CMD_no_command									
0x41		kERRORwrong_command										
0x81		kERROR_COM_undefined										
0x82		kERROR_COM_overflow										
0x84		kERROR_COM_reserved										
0x88		kERROR_COM_checksum										
0x90		kERROR_COM_framing										
0xA0		kERROR_COM_overrun										
0xC0		kERROR_COM_parity											

0x10001	kERRORtimeout												
0x10002	kERRORconnectionafterflashupdate						
0x10003	kERROR_PassThroughTelegram								

-1000		kERROR_PC_UndefinedError
-1101		kERROR_PC_ComPortInUse
-1102		kERROR_PC_address											
-1103		kERROR_PC_timeout											
-1104		kERROR_PC_checksumme										
-1105		kERROR_PC_command											
-1106		kERROR_PC_acess_restricted	
-1107		kERROR_PC_CompareData
*/
//	----------------------------------------------------------------------------




///////////////////////////////////////////////////////////////////////////////
// function declarations
///////////////////////////////////////////////////////////////////////////////
PREFIX BSTR CALL_CONVENTION GetErrorText(	__int32	ErrorValue );
// Basic: Declare Function GetErrorText Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ErrorValue As Long) As String
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION OpenComPort(__int32 ComPort); /* 1 for COM1 */
// Basic: Declare Function OpenComPort Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION CloseComPort(__int32 COMPort); /* 1 for COM1 */
// Basic: Declare Function CloseComPort Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION SetComPortSettings(__int32 COMPort, /* 1 for COM1 */ 
												BYTE			ShortAddress,	/* 0...32 */
												__int32		Baudrate,			/* possible values:	2400, 4800, 9600, 19200, 38400, 57600 */
												BYTE			Parity,				/* possible value:	0->NONE, 1->ODD, 2->EVEN	*/
												BYTE			StopBit				/* possible values:	1 or 2 */
											};	/* This function should be called after opening the ComPort */
// Basic: Declare Function SetComPortSettings Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByVal Baudrate As long, ByVal Parity As Byte, ByVal StopBit As Byte) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetComPortSettings(__int32 COMPort, /* 1 for COM1 */ 
												BYTE			ShortAddress,	/* 0...32 */
												__int32		& Baudrate,		/* possible values:	2400, 4800, 9600, 19200, 38400, 57600 */
												BYTE			& Parity,			/* possible value:	0->NONE, 1->ODD, 2->EVEN	*/
												BYTE			& StopBit			/* possible values:	1 or 2 */
											};	/* This function should be called after opening the ComPort */
// Basic: Declare Function SetComPortSettings Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef Baudrate As long, ByRef Parity As Byte, ByRef StopBit As Byte) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION ReadUniqueIdentifier(	__int32 COMPort,			/* 1 for COM1 */
												BYTE		ShortAddress,	/* 0...32 */
												BYTE		& ManufacturerIdCode,
												BYTE		& ManufacturerDeviceTypeCode,
												BYTE		& NumberOfPreambles,
												BYTE		& UniversalCmdRev,
												BYTE		& DeviceSpecCmdRev,
												BYTE		& SoftwareRev,
												BYTE		& HardwareRev,
												BYTE		& DeviceFunctionFlags,
												__int32	& DeviceIdNumber
											);
// Basic: Declare Function ReadUniqueIdentifier Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef ManufacturerIdCode As Byte, ByRef ManufacturerDeviceTypeCode As Byte, ByRef NumberOfPreambles As Byte, ByRef UniversalCmdRev As Byte, ByRef DeviceSpecCmdRev As Byte, ByRef SoftwareRev As Byte, ByRef HardwareRev As Byte, ByRef DeviceFunctionFlags As Byte, ByRef DeviceIdNumber As Long) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION ReadPrimaryVariable(	__int32 COMPort,				/* 1 for COM1 */
												BYTE	ShortAddress,		/* 0...32 */
												FLOAT	& PrimaryVariable	/* reference of 4 byte float variable  IEEE 754 */
											);
// Basic: Declare Function ReadPrimaryVariable Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef PrimaryVariable As Single) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION ReadCurrentAndFourDynamicVariables(	__int32 COMPort,			/* 1 for COM1 */
												BYTE	ShortAddress,	/* 0...32 */
												FLOAT & ActualValueInPerCent,
												FLOAT & SetpointInPerCent,
												FLOAT & ManipulatedSetpointInPerCent,
												FLOAT & TimerValueInSecond
											);
// Basic: Declare Function ReadCurrentAndFourDynamicVariables Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef ActualValueInPerCent As Single, ByRef SetPointInPerCent As Single, ByRef ManipulatedSetpointInPerCent As Single, ByRef TimerValueInSecond As Single) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION WritePollingAddress(	__int32	COMPort,			/* 1 for COM1 */
												BYTE	ShortAddress,	/* 0...32 */
												BYTE	NewAddress
											);
// Basic: Declare Function WritePollingAddress Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByVal NewAddress As Byte) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION ReadVersion(	__int32	COMPort,					/* 1 for COM1 */
												BYTE		ShortAddress,			/* 0...32 */
												__int32 & DeviceType,
												__int32 & DeviceNumber,
												__int32 & Device_IdentNumber,
												__int32 & DeviceSerialNumber,
												__int32 & SW_IdentNumber,
												__int32 & RevisionSW_AsValue,			/*	description of DWORD RevisionXXXXX		*/
												__int32 & RevisionEE_AsValue,			/* value	DWORD		0x41010203					*/
												__int32 & RevisionTable_AsValue,		/* bytes				0x41  0x01  0x02  0x0D	*/
												__int32 & BIOS_IdentNumber,			/*	first as char	'A'      1     2    13	*/
												__int32 & RevisionBIOS_AsValue		/*	as String		A.01.02.13					*/
											);
// Basic: Declare Function ReadVersion Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef DeviceType As Long, ByRef DeviceNumber As Long, ByRef Device_IdentNumber As Long, ByRef DeviceSerialNumber As Long, ByRef SW_IdentNumber As Long, ByRef RevisionSW_AsValue As Long, ByRef RevisionEE_AsValue As Long, ByRef RevisionTable_AsValue As Long, ByRef BIOS_IdentNumber As Long, ByRef RevisionBIOS_AsValue As Long) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION ExtSetpoint(	__int32	COMPort,					/* 1 for COM1 */
												BYTE	ShortAddress,			/* 0...32 */
												BYTE	ExtSetpointActive,	/* 0 = not active, 1 = ExtSetpointActive */
												FLOAT	SetpointInPerCent		/*	if ExtSetpointActive == 1 the Value of the setpoint else 0 */							
											);
// Basic: Declare Function ExtSetpoint Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByVal ExtSetpointActive As Byte, ByVal SetPointInPerCent As Single) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION ExtSetpointWithoutAnswer(	__int32	COMPort,					/* 1 for COM1 */
												BYTE	ShortAddress,			/* 0...32 */
												BYTE	ExtSetpointActive,	/* 0 = not active, 1 = ExtSetpointActive */
												FLOAT	SetpointInPerCent		/*	if ExtSetpointActive == 1 the Value of the setpoint else 0 */							
											)
// Basic: Declare Function ExtSetpointWithoutAnswer Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByVal ExtSetpointActive As Byte, ByVal SetPointInPerCent As Single) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetAddDeviceInfo(	__int32	COMPort,			/* 1 for COM1 */
												BYTE	ShortAddress,	/* 0...32 */
												__int32	& Errors,		/* for more information see the documentation of "MassFlowController" "Ditital Communication" appendix description of bitfield ERRORS */
												__int32	& Other,			/* for more information see the documentation of "MassFlowController" "Ditital Communication" appendix description of bitfield OTHERS */
												__int32	& Limits,		/* for more information see the documentation of "MassFlowController" "Ditital Communication" appendix description of bitfield LIMITS */
												__int32	& Reserved
											);
// Basic: Declare Function GetAddDeviceInfo Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef Errors As Long, ByRef Other As Long, ByRef Limits As Long, ByRef Reserved As Long) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetBusAddress(	__int32	COMPort,			/* 1 for COM1 */
												BYTE		ShortAddress,	/* 0...32 */
												__int32	& Busaddress	/* busaddress of Profibus or Device-Net */
											);
// Basic: Declare Function GetBusAddress Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef Busaddress As Long) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION SetBusAddress(	__int32	COMPort,			/* 1 for COM1 */
												BYTE		ShortAddress,	/* 0...32 */
												__int32	NewBusaddress	/* busaddress of Profibus or Device-Net */
											);
// Basic: Declare Function SetBusAddress Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByVal NewBusaddress As Long) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetTotalizer(	__int32	COMPort,				/* 1 for COM1 */
												BYTE	ShortAddress,		/* 0...32 */
												BYTE	IndexOfGas,			/* beginning with 1 */
												FLOAT	& ValueTotalizer	/* value of totalizer in Nl ( 1013 mbar and 273 K ) */							
											);
// Basic: Declare Function GetTotalizer Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByVal IndexOfGas As Byte, ByRef ValueTotalizer As Single) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION ClearTotalizer(	__int32	COMPort,				/* 1 for COM1 */
												BYTE	ShortAddress,		/* 0...32 */
												BYTE	IndexOfGas			/* beginning with 1 */
											);
// Basic: Declare Function ClearTotalizer Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByVal IndexOfGas As Byte) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetNominalFlow
											(	__int32	COMPort,				/* 1 for COM1 */
												BYTE		ShortAddress,		/* 0...32 */
												BYTE		IndexOfGas,			/* beginning with 1 */
												FLOAT		&ValueOfNominalFlow, 
												LPBSTR	UnitOfNominalFlow, 
												LPBSTR	Medium 
											);
// Basic: Declare Function GetNominalFlow Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByVal IndexOfGas As Byte, ByRef ValueOfNominalFlow As Single, ByRef UnitOfNominalFlow As String, ByRef Medium As String) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetQuotientNominalFlowToNlPerMin
											(	__int32	COMPort,				/* 1 for COM1 */
												BYTE		ShortAddress,		/* 0...32 */
												BYTE		IndexOfGas,			/* beginning with 1 */
												FLOAT		&Quotient
											);
// Basic: Declare Function GetNominalFlow Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByVal IndexOfGas As Byte, ByRef Quotient) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetValue
											(	__int32	COMPort,				/* 1 for COM1 */
												BYTE		ShortAddress,		/* 0...32 */
												LPBSTR	VarName,				/* internal name of variable */
												__int32	ArrayIndex,			/* variable array index default 0 */
												FLOAT		&Value,
												LPBSTR	Unit	
											);
// Basic: Declare Function GetValue Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef VarName As String, ByVal ArrayIndex As Long, ByRef value As Single, ByRef Unit As String) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION SetValue
											(	__int32	COMPort,				/* 1 for COM1 */
												BYTE		ShortAddress,		/* 0...32 */
												LPBSTR	VarName,				/* internal name of variable */
												__int32	ArrayIndex,			/* variable array index default 0 */
												FLOAT		Value
											);
// Basic: Declare Function SetValue Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef VarName As String, ByVal ArrayIndex As Long, ByVal value As Single) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetString
											(	__int32	COMPort,				/* 1 for COM1 */
												BYTE		ShortAddress,		/* 0...32 */
												LPBSTR	VarName,				/* internal name of variable */
												LPBSTR	Value
											);
// Basic: Declare Function GetString Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef VarName As String, ByRef value As String) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION SetString
											(	__int32	COMPort,				/* 1 for COM1 */
												BYTE		ShortAddress,		/* 0...32 */
												LPBSTR	VarName,				/* internal name of variable */
												LPBSTR	Value
											);
// Basic: Declare Function SetString Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef VarName As String, ByRef value As String) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetActiveGas
											(	__int32	COMPort,				/* 1 for COM1 */
												BYTE		ShortAddress,		/* 0...32 */
												BYTE		&IndexOfGas			/* beginning with 1 */
											);
// Basic: Declare Function GetActiveGas Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef IndexOfGas As Byte) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION SetActiveGas
											(	__int32	COMPort,				/* 1 for COM1 */
												BYTE		ShortAddress,		/* 0...32 */
												BYTE		&IndexOfGas			/* beginning with 1 */
											);
// Basic: Declare Function SetActiveGas Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef IndexOfGas As Byte) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION ChangeAccessRight
											(	__int32	COMPort,				/* 1 for COM1 */
												LPBSTR	Password
											);
// Basic: Declare Function ChangeAccessRight Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (ByVal ComPort As Long, ByRef Password As String) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetAverageValues
											(	__int32	COMPort,				/* 1 for COM1 */
												BYTE		ShortAddress,		/* 0...32 */
												__int32	&Samples,			/* 1...10000 */
												/*
													Dataset for unused variables:
													VarName		""
													ArrayIndex	0
													&Value		0
												*/
												/* Variable 1 */
												LPBSTR	VarName_1,				/* internal name of variable */
												__int32	ArrayIndex_1,			/* variable array index default 0 */
												FLOAT		&Value_1,
												/* Variable 2 */												
												LPBSTR	VarName_2,				/* internal name of variable */
												__int32	ArrayIndex_2,			/* variable array index default 0 */
												FLOAT		&Value_2,
												/* Variable 3 */												
												LPBSTR	VarName_3,				/* internal name of variable */
												__int32	ArrayIndex_3,			/* variable array index default 0 */
												FLOAT		&Value_3,
												/* Variable 4 */												
												LPBSTR	VarName_4,				/* internal name of variable */
												__int32	ArrayIndex_4,			/* variable array index default 0 */
												FLOAT		&Value_4
											);
// Basic: Declare Function GetAverageValues Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" (	ByVal ComPort As Long, ByVal ShortAddress As Byte, _
//																								ByRef Samples As Long, _
//																								ByRef VarName_1 As String, ByVal	ArrayIndex_1 As Long, ByRef Value_1 As Single, _
//																								ByRef VarName_2 As String, ByVal	ArrayIndex_2 As Long, ByRef Value_2 As Single, _
//																								ByRef VarName_3 As String, ByVal	ArrayIndex_3 As Long, ByRef Value_3 As Single, _
//																								ByRef VarName_4 As String, ByVal	ArrayIndex_4 As Long, ByRef Value_4 As Single, _
//																							)	As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION Reinitialisation(	__int32	COMPort,		/* 1 for COM1 */
																	BYTE	ShortAddress	/* 0...32 */
																);
// Basic: Declare Function Reinitialisation Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" ( ByVal ComPort As Long, ByVal ShortAddress As Byte) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION SaveDeviceData(	__int32	COMPort,			/* 1 for COM1 */
																BYTE		ShortAddress,	/* 0...32 */
																__int32	UseDialog,		/* 0 = no, 1 = yes */ 
																LPBSTR	UsedFileToSave /* File where the data was saved. ( Output ) */
															);
// Basic: Declare Function SaveDeviceData Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" ( ByVal ComPort As Long, ByVal ShortAddress As Byte, ByVal UseDialog As Long, ByRef UsedFileToSave As String ) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION LoadDeviceData(	__int32	COMPort,			/* 1 for COM1 */
																BYTE		ShortAddress,	/* 0...32 */							
																LPBSTR	FileToLoad		/* if no FileName is defined a DialogBox will be created */
																);
// Basic: Declare Function LoadDeviceData Lib "00667888_000000_KONF_SW_MFC_DRIVER_DLL.dll" ( ByVal ComPort As Long, ByVal ShortAddress As Byte, ByRef FileToLoad As String ) As Long
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION SetWorkingDirectory
											(	__int32	COMPort,					/* 1 for COM1 */
												LPBSTR	WorkingDirectory	/* sets a new working directory for the communication DLL */
											);
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION GetWorkingDirectory
											(	__int32	COMPort,					/* 1 for COM1 */
												LPBSTR	WorkingDirectory	/* sets a new working directory for the communication DLL */
											);
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION ResetDevice
											(	__int32	COMPort,					/* 1 for COM1 */
												BYTE		ShortAddress			/* 0...32 */
											);
//	----------------------------------------------------------------------------
PREFIX __int32 CALL_CONVENTION LoadDefaultSettings
											(	__int32	COMPort,					/* 1 for COM1 */
												BYTE		ShortAddress,			/* 0...32 */
												__int32	Password,					/* access protection */
												BYTE		Group							/* definine the group of data for resetting */
											);
//	----------------------------------------------------------------------------

#endif // HEADER_00667888_000000_KONF_SW_MFC_DRIVER_DLL_H